Get Policyholder by Policyholder Number

Use this endpoint to get information about a single policyholder by searching for their associated policyHolderNumber.

Get a list of policy holders based on specified conditions

get

Get a list of policy holders based on specified conditions

Authorizations
api_keystringRequired
Query parameters
emailstringOptional

Used to filter insurance policy holder by their email address

phoneNumberstringOptional

Used to filter insurance policy holder by their phone number

fullNamestringOptional

Used to filter insurance policy holder by their full name

policyHolderNumberstringOptional

Used to filter insurance policy holder by their policy holder reference number

pageSizeinteger · int32Optional

Number of result to display

Default: 50
pageIndexinteger · int32Optional

Page index

Default: 0
Header parameters
api_keyanyRequired
Responses
chevron-right
200

successful operation

application/json
policyHolderNumberstringRequired

policy holder system generated unique identifier

Example: 123456789
fullnamestringOptional

policy holder fullname

Example: John Doe
emailstringOptional

policy holder contact email address

Example: [email protected]
phonestringOptional

policy holder contact phone number

Example: 8027382929
typestring · enumOptional

allowed data type for the field

Possible values:
statusstring · enumOptional

allowed data type for the field

Possible values:
get
/policyHolder
200

successful operation

Sample Request

Sample Response

Last updated